Bug 246596 - Error: printmode mismatch with pen, tray, etc.
Error: printmode mismatch with pen, tray, etc.
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: hplip (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2007-07-03 07:04 EDT by Zenon Panoussis
Modified: 2008-05-07 08:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-07 08:16:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zenon Panoussis 2007-07-03 07:04:01 EDT
Description of problem:

Attempting to print on an HP LJ 1100 (driver LaserJet 1100 Foomatic/hpijs),
returns the subject line error. The printer settings are all correct. 

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Additional info:
Comment 1 Zenon Panoussis 2007-07-03 07:27:55 EDT
This fixed the problem:
Setting LJ-1100 device-uri to "parallel:/dev/lp0" (was
Comment 2 Tim Waugh 2007-07-03 08:07:50 EDT
Seems like an HPLIP problem of some sort.

Please set up a queue using the original 'hp:/...' device URI and perform the
following steps to obtain full debugging output:

1. Edit /etc/cups/cupsd.conf and edit the 'LogLevel' line to read:

  LogLevel debug2

2. Stop CUPS:

  /sbin/service cups stop

3. Clear out the error_log file:


4. Start CUPS:

  /sbin/service cups start

5. Now submit a print job.  When it fails, please attach the
/var/log/cups/error_log file as an attachment to this bug report.  Thanks. 
(Afterwards, you can reset the 'LogLevel' line in your /etc/cups/cupsd.conf file
back to what it was, probably 'LogLevel info')
Comment 3 Zenon Panoussis 2007-07-04 15:51:40 EDT
I no longer have access to that computer, but I will ask its owner to do this.
It might take a few days.
Comment 4 Tim Waugh 2008-05-06 11:46:02 EDT
Any news?
Comment 5 Zenon Panoussis 2008-05-06 12:52:08 EDT
Euhm, no. In fact, I got no feedback back then and by now I have forgotten whose
printer that was. Sorry. 
Comment 6 Tim Waugh 2008-05-07 08:16:32 EDT
OK, closing.

Note You need to log in before you can comment on or make changes to this bug.